#pragma once
#include "MicroBehaviour.h"
#include "ParticleGenerator.h"

class ProbeMicroBehaviour : public MicroBehaviour {
public:
	ProbeMicroBehaviour( UnitModel* sub , UnitManager* u);
	virtual bool execute();
	virtual void nudge();


private:
	BWAPI::Position targetPosition;
	UnitManager* unitManager;
	std::vector<Position> findSafestNearbyPoints();

	Position fallBackLocation;
	bool attacking;
	bool moving;
	int blockTimer;

protected:


};